POST V1/ProAdminPayments.{ext}/ManagePaymentConfirmation?tempFolder={tempFolder}&companyCode={companyCode}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
tempFolder

No description available

string

Required

companyCode

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.ECheckConfirmation
NameDescriptionTypeAdditional information
pfDetailsId

No description available

integer

None.

PaymentReference

No description available

string

None.

MasterCardNumber

No description available

string

None.

PaidAmount

No description available

decimal number

None.

PayByAmount

No description available

decimal number

None.

ClearedDate

No description available

string

None.

SettlementDate

No description available

string

None.

Comments

No description available

string

None.

fileName

No description available

string

None.

BankReference

No description available

string

None.

TransactionFee

No description available

decimal number

None.

Request Formats

application/json, text/json

Sample:
{
  "pfDetailsId": 1,
  "paymentReference": "sample string 2",
  "masterCardNumber": "sample string 3",
  "paidAmount": 4.1,
  "payByAmount": 5.1,
  "clearedDate": "sample string 6",
  "settlementDate": "sample string 7",
  "comments": "sample string 8",
  "fileName": "sample string 9",
  "bankReference": "sample string 10",
  "transactionFee": 11.1
}

application/xml, text/xml

Sample:
<ECheckConfirmation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <BankReference>sample string 10</BankReference>
  <ClearedDate>sample string 6</ClearedDate>
  <Comments>sample string 8</Comments>
  <MasterCardNumber>sample string 3</MasterCardNumber>
  <PaidAmount>4.1</PaidAmount>
  <PayByAmount>5.1</PayByAmount>
  <PaymentReference>sample string 2</PaymentReference>
  <SettlementDate>sample string 7</SettlementDate>
  <TransactionFee>11.1</TransactionFee>
  <fileName>sample string 9</fileName>
  <pfDetailsId>1</pfDetailsId>
</ECheckConfirmation>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.